Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/netbsd-2-0]: src Pull up revision 1.45 (requested by jmc in ticket #527):
details: https://anonhg.NetBSD.org/src/rev/23f10b54d012
branches: netbsd-2-0
changeset: 561545:23f10b54d012
user: tron <tron%NetBSD.org@localhost>
date: Tue Jun 22 07:30:56 2004 +0000
description:
Pull up revision 1.45 (requested by jmc in ticket #527):
Completely rework how tools/compat is done. Purge all uses/references to
_NETBSD_SOURCE as this makes cross building from older/newer versions of
NetBSD harder, not easier (and also makes the resulting tools 'different')
Wrap all required code with the inclusion of nbtool_config.h, attempt to
only use POSIX code in all places (or when reasonable test w. configure and
provide definitions: ala u_int, etc).
Reviewed by lukem. Tested on FreeBSD 4.9, Redhat Linux ES3, NetBSD 1.6.2 x86
NetBSD current (x86 and amd64) and Solaris 9.
Fixes PR's: PR#17762 PR#25944
diffstat:
tools/compat/configure | 1675 +++++++++++++++++++++++++++-------------------
usr.sbin/mtree/create.c | 10 +-
2 files changed, 1003 insertions(+), 682 deletions(-)
diffs (truncated from 4098 to 300 lines):
diff -r 6480fed081d5 -r 23f10b54d012 tools/compat/configure
--- a/tools/compat/configure Tue Jun 22 07:30:28 2004 +0000
+++ b/tools/compat/configure Tue Jun 22 07:30:56 2004 +0000
@@ -964,51 +964,7 @@
ac_config_files="$ac_config_files defs.mk"
-# Extract the first word of "sh", so it can be a program name with args.
-set dummy sh; ac_word=$2
-echo "$as_me:969: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_BSHELL+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- case $BSHELL in
- [\\/]* | ?:[\\/]*)
- ac_cv_path_BSHELL="$BSHELL" # Let the user override the test with a path.
- ;;
- *)
- ac_save_IFS=$IFS; IFS=$ac_path_separator
-ac_dummy="$PATH"
-for ac_dir in $ac_dummy; do
- IFS=$ac_save_IFS
- test -z "$ac_dir" && ac_dir=.
- if $as_executable_p "$ac_dir/$ac_word"; then
- ac_cv_path_BSHELL="$ac_dir/$ac_word"
- echo "$as_me:986: found $ac_dir/$ac_word" >&5
- break
-fi
-done
-
- ;;
-esac
-fi
-BSHELL=$ac_cv_path_BSHELL
-
-if test -n "$BSHELL"; then
- echo "$as_me:997: result: $BSHELL" >&5
-echo "${ECHO_T}$BSHELL" >&6
-else
- echo "$as_me:1000: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-if test x"$BSHELL" = x; then
- { { echo "$as_me:1005: error: sh must be somewhere on \$PATH" >&5
-echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
- { (exit 1); exit 1; }; }
-fi
-cat >>confdefs.h <<EOF
-#define PATH_BSHELL "$BSHELL"
-EOF
+# AC_NETBSD
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
@@ -1018,7 +974,7 @@
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:1021: checking for $ac_word" >&5
+echo "$as_me:977: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1033,7 +989,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}gcc"
-echo "$as_me:1036: found $ac_dir/$ac_word" >&5
+echo "$as_me:992: found $ac_dir/$ac_word" >&5
break
done
@@ -1041,10 +997,10 @@
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1044: result: $CC" >&5
+ echo "$as_me:1000: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1047: result: no" >&5
+ echo "$as_me:1003: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1053,7 +1009,7 @@
ac_ct_CC=$CC
# Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
-echo "$as_me:1056: checking for $ac_word" >&5
+echo "$as_me:1012: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1068,7 +1024,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="gcc"
-echo "$as_me:1071: found $ac_dir/$ac_word" >&5
+echo "$as_me:1027: found $ac_dir/$ac_word" >&5
break
done
@@ -1076,10 +1032,10 @@
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1079: result: $ac_ct_CC" >&5
+ echo "$as_me:1035: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1082: result: no" >&5
+ echo "$as_me:1038: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1092,7 +1048,7 @@
if test -n "$ac_tool_prefix"; then
# Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:1095: checking for $ac_word" >&5
+echo "$as_me:1051: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1107,7 +1063,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="${ac_tool_prefix}cc"
-echo "$as_me:1110: found $ac_dir/$ac_word" >&5
+echo "$as_me:1066: found $ac_dir/$ac_word" >&5
break
done
@@ -1115,10 +1071,10 @@
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1118: result: $CC" >&5
+ echo "$as_me:1074: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1121: result: no" >&5
+ echo "$as_me:1077: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1127,7 +1083,7 @@
ac_ct_CC=$CC
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
-echo "$as_me:1130: checking for $ac_word" >&5
+echo "$as_me:1086: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1142,7 +1098,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="cc"
-echo "$as_me:1145: found $ac_dir/$ac_word" >&5
+echo "$as_me:1101: found $ac_dir/$ac_word" >&5
break
done
@@ -1150,10 +1106,10 @@
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1153: result: $ac_ct_CC" >&5
+ echo "$as_me:1109: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1156: result: no" >&5
+ echo "$as_me:1112: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1166,7 +1122,7 @@
if test -z "$CC"; then
# Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
-echo "$as_me:1169: checking for $ac_word" >&5
+echo "$as_me:1125: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1186,7 +1142,7 @@
continue
fi
ac_cv_prog_CC="cc"
-echo "$as_me:1189: found $ac_dir/$ac_word" >&5
+echo "$as_me:1145: found $ac_dir/$ac_word" >&5
break
done
@@ -1208,10 +1164,10 @@
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1211: result: $CC" >&5
+ echo "$as_me:1167: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1214: result: no" >&5
+ echo "$as_me:1170: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1222,7 +1178,7 @@
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1225: checking for $ac_word" >&5
+echo "$as_me:1181: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1237,7 +1193,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1240: found $ac_dir/$ac_word" >&5
+echo "$as_me:1196: found $ac_dir/$ac_word" >&5
break
done
@@ -1245,10 +1201,10 @@
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
- echo "$as_me:1248: result: $CC" >&5
+ echo "$as_me:1204: result: $CC" >&5
echo "${ECHO_T}$CC" >&6
else
- echo "$as_me:1251: result: no" >&5
+ echo "$as_me:1207: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1261,7 +1217,7 @@
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1264: checking for $ac_word" >&5
+echo "$as_me:1220: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1276,7 +1232,7 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1279: found $ac_dir/$ac_word" >&5
+echo "$as_me:1235: found $ac_dir/$ac_word" >&5
break
done
@@ -1284,10 +1240,10 @@
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
- echo "$as_me:1287: result: $ac_ct_CC" >&5
+ echo "$as_me:1243: result: $ac_ct_CC" >&5
echo "${ECHO_T}$ac_ct_CC" >&6
else
- echo "$as_me:1290: result: no" >&5
+ echo "$as_me:1246: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1299,32 +1255,32 @@
fi
-test -z "$CC" && { { echo "$as_me:1302: error: no acceptable cc found in \$PATH" >&5
+test -z "$CC" && { { echo "$as_me:1258: error: no acceptable cc found in \$PATH" >&5
echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
{ (exit 1); exit 1; }; }
# Provide some information about the compiler.
-echo "$as_me:1307:" \
+echo "$as_me:1263:" \
"checking for C compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:1310: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1266: \"$ac_compiler --version </dev/null >&5\"") >&5
(eval $ac_compiler --version </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:1313: \$? = $ac_status" >&5
+ echo "$as_me:1269: \$? = $ac_status" >&5
(exit $ac_status); }
-{ (eval echo "$as_me:1315: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1271: \"$ac_compiler -v </dev/null >&5\"") >&5
(eval $ac_compiler -v </dev/null >&5) 2>&5
ac_status=$?
- echo "$as_me:1318: \$? = $ac_status" >&5
+ echo "$as_me:1274: \$? = $ac_status" >&5
Home |
Main Index |
Thread Index |
Old Index